This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 188380 - Review Request: perl-Test-Deep
Review Request: perl-Test-Deep
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 188376 188378
  Show dependency treegraph
 
Reported: 2006-04-08 15:37 EDT by Steven Pritchard
Modified: 2011-02-18 19:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 16:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-08 15:37:23 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Deep/perl-Test-Deep.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Deep-0.093-1.src.rpm
Description:
Test::Deep gives you very flexible ways to check that the result you
got is the result you were expecting. At it's simplest it compares two
structures by going through each level, ensuring that the values
match, that arrays and hashes have the same elements and that
references are blessed into the correct class. It also handles
circular data structures without getting caught in an infinite loop.
Comment 1 Jason Tibbitts 2006-04-09 23:09:25 EDT
The package builds in mock (development branch, with dependencies added) and
rpmlint is silent.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   b47659e09457a72157d3db5b5be62f75  Test-Deep-0.093.tar.gz
   b47659e09457a72157d3db5b5be62f75  Test-Deep-0.093.tar.gz-srpm
* package builds in mock.
* BuildRequires are proper.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_vendorlib}/Test, which will probably also be owned by
any module under the Test:: namespace.  However, none of the dependencies create
this directory so there is no alternative.
APPROVED
Comment 2 Steven Pritchard 2006-04-10 16:59:47 EDT
Imported into CVS and builds requested.
Comment 3 Paul Howarth 2011-01-18 05:38:45 EST
Hi Steve,

I see that there are existing EL-4 branches for perl-Test-Deep and its dependency perl-Test-NoWarnings but they haven't been built. I've tried building the packages in mock as they stand and they build OK, so is there some reason why they're not built for EPEL-4?

If you're no longer interested in EPEL-4 I'll happily take those branches off your hands.
Comment 4 Steven Pritchard 2011-01-18 14:53:31 EST
I had my packages mass-branched for EPEL when it started.  I think there are still a lot of my packages that haven't been built for whatever reason.  If you want to build those, go for it.  (If you want to add yourself to those branches in pkgdb, go for it, but I'll watch for bugs either way.)
Comment 5 Fedora Update System 2011-02-03 13:19:09 EST
perl-Test-Deep-0.096-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-Deep-0.096-1.el4
Comment 6 Fedora Update System 2011-02-18 19:24:00 EST
perl-Test-Deep-0.096-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.